Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003136 [JEDI VCL] 00 JVCL Components minor always 2005-08-06 12:09 2006-01-05 08:37
Reporter CRoeper View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003136: JvInterpreter: "flying functions" in JvInterpreterFm.pas do not work correct.
Description If you call one of the "flying functions" like:
<JvInterpreterRunFormModal> or <JvInterpreterRunUnit> or else you always get a "File not found!" or "Unit not found!" error.

This is because in every of these functions the parameter "FileName" collides with the property "FileName" of the on-the-fly object "TJvInterpreterFm", that is created and refered to via with-statement in these functions.
Every successive call in the with-statement using the "FileName" parameter results in an empty string parameter.
Additional Information * To resolve, either rename the parameter to something different, e.g. "AFileName" or get rid of the with-statements.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007672)
obones (administrator)
2005-08-07 05:25

Thanks, this is now fixed in CVS: FileName renamed to AFileName and with statements removed.
(0007925)
CRoeper (reporter)
2005-09-09 05:42

Hi there,
I just checked the CVS-Version, the function <JvInterpreterMakeForm> and <JvInterpreterRunUnit> still won't work; the "FileName" parameter is just renamed in the declaration, not in the body of the function, the with-statement will do the rest...
(0008299)
obones (administrator)
2006-01-05 08:37

This is now fixed in CVS. Sorry for the delay

- Issue History
Date Modified Username Field Change
2005-08-06 12:09 CRoeper New Issue
2005-08-07 05:25 obones Status new => resolved
2005-08-07 05:25 obones Resolution open => fixed
2005-08-07 05:25 obones Assigned To => obones
2005-08-07 05:25 obones Note Added: 0007672
2005-09-09 05:42 CRoeper Status resolved => feedback
2005-09-09 05:42 CRoeper Resolution fixed => reopened
2005-09-09 05:42 CRoeper Note Added: 0007925
2006-01-05 08:37 obones Status feedback => resolved
2006-01-05 08:37 obones Resolution reopened => fixed
2006-01-05 08:37 obones Note Added: 0008299


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker